Calling Checkout with a valid pay run ID will return a URL that the user should be redirected to in order to initiate
the payment process for the given pay run.
When calling this endpoint you are expected to provide completeUrl and incompleteUrl
query parameters which will be used to redirect the user back to your system following the checkout process
depending on whether all batch processing is complete or not. Regardless of the URL used webhooks and/or
status endpoints should always be used to obtain most accurate status information.
Calling /checkout with a valid pay run ID will return a 302 redirect to the UI to allow a user to checkout
Supplying a completeURL and incompleteUrl
completeURL and incompleteUrlWhen calling this endpoint you are expected to provide completeUrl and incompleteUrl
query parameters which will be used to redirect the user back to your system following the checkout process
depending on whether all batch processing is complete or not. Regardless of the URL used webhooks and/or
status endpoints should always be used to obtain most accurate status information.
Redirecting versus sharing the checkout link
The optional linkUsage query parameter declares how you intend to use the returned URL:
Redirect(the default when omitted) β the current user will be redirected to the URL immediately.Shareβ the URL will be passed to another user out of band, for example emailed to an approver.
Checkout configuration (the return URLs and the link usage) is stored per pay run, not per link. Each
checkout call replaces it, so any previously issued links follow the most recent call's configuration.
404Not Found
